Subject: RE: Withdrawal when patent claims are made (was:RE: I-D ACTION:dr aft-ietf-ipr-wg-guidelines-02.txt (another plea for 30 month preference))

From: Powers Chuck-rxcp20 <[email-masked]>
Date: Wed, 12 Mar 2003 08:58:42 -0700

All,

   While the draft W3C IPR policy does include rescinding a W3C Recommendation as one option if unavoidable non-RF IPR is found in a standard which has already been published, in fact the W3C does not currently have a process for rescinding a Recommendation, and I have heard members of the W3C team admit that they are not really sure how that would be done in practice.

   This is just one of several areas where the W3C process for developing standards has not yet been aligned with the draft IPR policy, and it is unclear how long it will take to do so.

regards,

chuck

> -----Original Message-----
> From: Lawrence E. Rosen [mailto:[email-masked]]
> Sent: Tuesday, March 11, 2003 7:08 PM
> To: 'John C Klensin'; 'Russell Nelson'; [email-masked]
> Subject: RE: Withdrawal when patent claims are made (was:RE: I-D
> ACTION:draft-ietf-ipr-wg-guidelines-02.txt (another plea for 30 month
> preference))
> 
> 
> John,
> 
> Whatever gave you the impression that all that has to happen 
> is someone
> appear at IETF's door and claim patent rights?  Did someone 
> suggest that
> IETF should say, "sorry Mr. Patent-Man, we'll withdraw our 
> standard and
> go away."  You should assume many people who care will evaluate such
> claims to weed out the bogus ones.  Will we always be right?  Probably
> not, but we'll have to argue it out in public instead of letting each
> implementer or user evaluate the patents and negotiate licenses behind
> closed doors.  You suggest that we'll be bombarded with
> denial-of-service attacks.  I'd rather face those collectively instead
> of individually.
> 
> But once a real patent is identified, and it is determined by the best
> minds in the Internet standards business that the patent claims
> *probably* can't be avoided, it should be our policy not to 
> pay ransom.
> That's one of the policy choices facing IETF and other standards
> organizations.
> 
> You say that withdrawing standards is a non-starter.  This was very
> definitely a starter at W3C, and a finisher too.  Exactly that process
> is described in the proposed W3C patent policy.  
> 
> /Larry Rosen
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On 
> > Behalf Of John C Klensin
> > Sent: Tuesday, March 11, 2003 4:04 PM
> > To: Russell Nelson; [email-masked]
> > Subject: Withdrawal when patent claims are made (was:RE: I-D 
> > ACTION:draft-ietf-ipr-wg-guidelines-02.txt (another plea for 
> > 30 month preference))
> > 
> > 
> > (apologies in advance to everyone who is trying to document 
> > current practice, but this particular dead horse deserves a 
> > decent burial, now, not more kicking)
> > 
> > --On Tuesday, 11 March, 2003 17:31 -0500 Russell Nelson 
> > <[email-masked]> wrote:
> > 
> > > By some of these actions, the IETF is being targetted.  
> By most of 
> > > them, the IETF's work is merely collateral damage. The IETF could 
> > > avoid some of these problems by specifically stating that it will 
> > > withdraw standards which have patent claims made against them. 
> > > Contrast this against the existing practice which (if I read the 
> > > drafts correctly and they ARE correct :) is to document the 
> > existance 
> > > of patent claims. What is the actual effect of these two 
> > actions?  In 
> > > both cases, the ideas haven't gone away.  The standard is still
> > > written on paper, and people can still implement it.  The
> > > existance of patents hasn't gone away, and people will know
> > > that the standard has patent claims.
> > >
> > > What makes the difference between the two is that the IETF 
> > can be seen 
> > > to be living up to its principles: that everyone should 
> be able to 
> > > implement a standard without asking someone for permission.
> > 
> > Russell,
> > 
> > Regardless of what else might be done here, I believe that the 
> > notion of withdrawing a standard if a patent claim is made is a 
> > non-starter.  The short version of the reason has been said 
> > before -- "denial of service attack" -- but that obviously 
> > didn't take.
> > 
> > So, let's say IETF adopts such a rule.  Suppose I'm feeling a 
> > little hostile to the IETF.  I file, or contemplate filing, a 
> > patent application that is covers something so obvious and 
> > obviously bogus that even the US Patent Office will bounce it (I 
> > am told such things exist). As an extreme example, assume I 
> > dress up the idea of transmitting information over a 
> > communications circuit by doing interesting things to electrons 
> > enough to file on it.   I may not even have to file the turkey 
> > -- to avoid other problems, our language tends to say things 
> > like "IPR Claim", not "patent".  Now I send the IETF a 
> > disclosure letter that says that I've got IPR claims, or even 
> > proposed patent claims, against everything we have in the 
> > transport area and everything that depends on it.  So, we are 
> > going to withdraw everything?  I don't think so.
> > 
> > If you think that example is too extreme, let's try a slightly 
> > more realistic one.  Suppose I work for a company that is in the 
> > DWDM business.   Most of the companies in that area have 
> > reasonably large patent portfolios, with more in the pipe.  So 
> > we file a notice indicating that we intend to charge a royality 
> > to anything that runs over a physical layer that infringes any 
> > of our patents or pending patents.  That is a patent claim 
> > against virtually every Internet standard, even though we may be 
> > able to implement things in a way that avoids that vendor's 
> > patents.  If we permit careful evaluation, we may be able to 
> > avoid the claim, but that doesn't mean the claim doesn't exist.
> > 
> > As another example, there is a far more destructive attack than 
> > the sorts of things outlined above.  Suppose I'm a vendor who 
> > would like the IETF to standardize on a method for which my 
> > development efforts are well advanced.  Suppose my business 
> > strategy is to make my money on early entrant momentum rather 
> > than on IPR claims or licensing, and that I abandoned my 
> > business ethics on the other side of the boom.  I don't have any 
> > IPR claims against anything the relevant WG is likely to do, so 
> > I don't need to disclose anything.  Now I find a stooge and I 
> > convince him to send in a note claiming submitted patent 
> > applications (or patent applications being prepared) that cover 
> > important aspects of all of the approaches and methods the WG is 
> > considering except mine.  The stooge won't give you any details 
> > --we've seen discussion on this list to the effect that, were he 
> > legitimate, he wouldn't be able to do so.  Under current IETF 
> > procedures, the WG gets to evaluate the situation.  Under any 
> > "run away as soon as someone makes a claim" model, I win: the 
> > IETF is either forced to abandon the entire area (which might be 
> > an ok outcome from my standpoint, since I'm enough ahead to be 
> > able to claim a de facto standard) or to adopt my preferred 
> > solution (since it is the only one that appears to be 
> > unencumbered).
> > 
> > That really isn't very attractive, is it?
> > 
> >      john
> > 
> > _______________________________________________
> > Ipr-wg mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/ipr-wg
> > 
> 
> _______________________________________________
> Ipr-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipr-wg
> 
_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg